/*
 * CustomSpringLayoutSettings.java
 *
 * Created on August 26, 2005, 10:46 AM
 */

package tracevis.control.settings;

import javax.swing.SpinnerNumberModel;

import tracevis.visualization.structure.CustomSpringLayout;

/**
 * A configuration panel which allows the user to configure the spring layout.
 * @author  Pieter Deelen
 */
public class CustomSpringLayoutSettings extends javax.swing.JPanel {
	/**
	 * Creates new form CustomSpringLayoutSettings.
	 */
	public CustomSpringLayoutSettings(CustomSpringLayout.Settings settings) {
		initComponents();

		forceMultiplierSpinner.setModel(new SpinnerNumberModel(0.0, 0.0, 1.0, 0.1));
		forceMultiplierSpinner.setValue(settings.getForceMultiplier());

		repulsionConstantSpinner.setModel(new SpinnerNumberModel(0.0, 0.0, 1000.0, 10.0));
		repulsionConstantSpinner.setValue(settings.getRepulsionConstant());
	}

	public CustomSpringLayout.Settings getSettings() {
		return new CustomSpringLayout.Settings(
			(Double)repulsionConstantSpinner.getValue(),
			(Double)forceMultiplierSpinner.getValue()
		);
	}

	/** This method is called from within the constructor to
	 * initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is
	 * always regenerated by the Form Editor.
	 */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        java.awt.GridBagConstraints gridBagConstraints;

        forceMultiplierLabel = new javax.swing.JLabel();
        repulsionConstantLabel = new javax.swing.JLabel();
        forceMultiplierSpinner = new javax.swing.JSpinner();
        repulsionConstantSpinner = new javax.swing.JSpinner();
        fillerPanel = new javax.swing.JPanel();

        setLayout(new java.awt.GridBagLayout());

        setBorder(javax.swing.BorderFactory.createTitledBorder("Spring Layout"));
        forceMultiplierLabel.setText("Spring Constant");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 5);
        add(forceMultiplierLabel, gridBagConstraints);

        repulsionConstantLabel.setText("Repulsion Constant");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.WEST;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 5);
        add(repulsionConstantLabel, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 5);
        add(forceMultiplierSpinner, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.insets = new java.awt.Insets(5, 5, 5, 5);
        add(repulsionConstantSpinner, gridBagConstraints);

        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = java.awt.GridBagConstraints.REMAINDER;
        gridBagConstraints.gridheight = java.awt.GridBagConstraints.REMAINDER;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(fillerPanel, gridBagConstraints);

    }// </editor-fold>//GEN-END:initComponents


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JPanel fillerPanel;
    private javax.swing.JLabel forceMultiplierLabel;
    private javax.swing.JSpinner forceMultiplierSpinner;
    private javax.swing.JLabel repulsionConstantLabel;
    private javax.swing.JSpinner repulsionConstantSpinner;
    // End of variables declaration//GEN-END:variables

}
